%define module_name	amedyn
%define module_version	2003.10.29
%define module_release	alt3

#### MODULE SOURCES ####
Name:          kernel-source-%module_name-%module_version
Version:       %module_version
Release:       %module_release
Summary:       Zyxel 630-11 DSL USB modem driver - module sources
License:       Distributable
Group:         Development/Kernel
URL:           http://sourceforge.net/projects/zyxel630-11/
BuildArch:     noarch

Source0: amedyn-2003-10-29-src.tgz

Patch1: amedyn-alt-build.patch

Packager:     Andrey V Khavryuchenko <akhavr@altlinux.org>

%description
Zyxel 630-11 DSL USB modem (DynaMiTe USB Modem) driver (Alpha quality!) 
sources for Linux kernel.

%prep
%setup -n %module_name -q
%patch1 -p1

%install
mkdir -p %buildroot%_usrsrc/kernel/sources/
mv module kernel-source-%module_name-%module_version
tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%files
%attr(644,root,root) %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%changelog
* Mon Jul 12 2004 Vitaly Lipatov <lav@altlinux.ru> 2003.10.29-alt3
- release for Sisyphus

* Sat Apr 10 2004 Andrey V Khavryuchenko <akhavr@altlinux.org> 2003.10.29-alt2
- Increased default atm send/receive buffer size

* Fri Mar 19 2004 Andrey V Khavryuchenko <akhavr@altlinux.org> 2003.10.29-alt1
- Initial build
